carousel .row > .column {
  padding: 0 1px;
}

carousel .row:after {
  content: "";
  display: table;
  clear: both;
}

/* Create four equal columns that floats next to eachother */
carousel .column {
  float: left;
  /*width: 300px !important;  
  height: 200px !important; does not work right */
  cursor: zoom-in;
  
}

carousel .column img {
  display: block;
  /*width: 100%;
  height: auto;*/
}
carousel .modalcolumn img {
  display: block;
  width: 100%;
  height: auto;
  max-height: 200px;
  background-color: black;
}


carousel .modalcolumn {
  float: left;
  background-color: black;
  padding: 0 1px;
  /*object-fit: cover;
   width: 150px !important;  height: 100px !important; does not work right */
}


carousel .modal .row {
    float: left;
    background-color: black;
  /*object-fit: cover;*/
}

/* The Modal (background) */
carousel .modal {
  display: none;
  position: fixed;
  z-index: 1000 !important;
  padding-top: 10px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: black;
}

/* Modal Content */
.modal-content {
  float:center;
  position: relative;
  background-color: black;
  margin: auto;
  padding: 0;
  width: 100%;
  max-width: 1200px;
}

/* The Close Button */
carousel .close {
  z-index: 1001 !important;
  color: white;
  position: absolute;
  top: 10px;
  right: 25px;
  font-size: 35px;
  font-weight: bold;
}

carousel .close:hover,
carousel .close:focus {
  color: white;
  text-decoration: none;
  cursor: pointer;
}

/* Hide the slides by default */
carousel .mySlides {
  display: none;

}

/* Next & previous buttons */
carousel .prev,
carousel .next {
  cursor: pointer;
  position: absolute !important;
  /*top: 50% !important;*/
  top:50% !important;
  width: auto !important;
  padding: 16px !important;
  margin-top: -50px !important;
  color: white;
  font-weight: bold;
  font-size: 20px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
  -webkit-user-select: none;
}

/* Position the "next button" to the right */
carousel .next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
carousel .prev:hover,
carousel .next:hover {
  background-color: rgba(0, 0, 0, 0.8);
}

/* Number text (1/3 etc) */
carousel .numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 12px 12px;
  position: absolute;
  top: 0;
}

/* Caption text */
carousel .caption-container {
  text-align: center;
  background-color: black;
  padding: 2px 16px;
  color: white;
}

carousel img.demo {
  opacity: 0.6;
}

.active,
carousel .demo:hover {
  opacity: 1;
}

carousel img.hover-shadow {
  transition: 0.3s;
}

carousel .hover-shadow:hover {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}